OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DeltaOnModificationOfRealArray Class Reference

This class provides default services for an
AttributeDelta on a MODIFICATION action
.

`#include <TDataStd_DeltaOnModificationOfRealArray.hxx>`

Inheritance diagram for TDataStd_DeltaOnModificationOfRealArray:

[legend]

## Public Member Functions
Standard_EXPORT | TDataStd_DeltaOnModificationOfRealArray (const Handle(TDataStd_RealArray)&Arr)
| Initializes a TDF_DeltaOnModification. .
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfInteger | myIndxes
Handle_TColStd_HArray1OfReal | myValues
Standard_Integer | myUp1
Standard_Integer | myUp2

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DeltaOnModificationOfRealArray::TDataStd_DeltaOnModificationOfRealArray | ( | const Handle(TDataStd_RealArray)& | Arr | ) |

## Member Function Documentation

virtual Standard_EXPORT void TDataStd_DeltaOnModificationOfRealArray::Apply | ( |  | ) | `[virtual]`

| Reimplemented from TDF_DeltaOnModification.

Standard_EXPORT const TDataStd_DeltaOnModificationOfRealArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_DeltaOnModification.

## Field Documentation

Handle_TColStd_HArray1OfInteger TDataStd_DeltaOnModificationOfRealArray::myIndxes`[private]`

Standard_Integer TDataStd_DeltaOnModificationOfRealArray::myUp1`[private]`

Standard_Integer TDataStd_DeltaOnModificationOfRealArray::myUp2`[private]`

Handle_TColStd_HArray1OfReal TDataStd_DeltaOnModificationOfRealArray::myValues`[private]`

The documentation for this class was generated from the following file:

- TDataStd_DeltaOnModificationOfRealArray.hxx